# 分析和推荐

分析和推荐提供了一套自动化的成本优化能力，它帮助用户自动的发现问题并提供优化的方案。就像电脑/手机助手一样，它会定期的扫描、分析你的集群并给出推荐建议。目前，我们提供了两种优化能力：

- [**资源推荐**](resource-recommendation.zh.md): 基于应用的历史资源使用推荐 Container 合适的 requests 和 limits
- [**弹性推荐**](hpa-recommendation.zh.md): 筛选所有的工作负载，推荐出适合做弹性的工作负载并给出弹性建议

## 架构

![analytics-arch](../images/analytics-arch.png)

## 一次分析的过程

1. 用户创建 Analytics 对象，通过 ResourceSelector 选择需要分析的资源，支持选择多类型（基于Group,Kind,Version）的批量选择
2. 并行分析每个选择的资源，尝试进行分析推荐，每次分析过程分成筛选和推荐两个阶段：
   1. 筛选：排除不满足推荐条件的资源。比如对于弹性推荐，排除没有 running pod 的workload
   2. 推荐：通过算法计算分析，给出推荐结果
3. 如果通过筛选，创建 Recommendation 对象，将推荐结果展示在 Recommendation.Status
4. 未通过筛选的原因和状态展示在 Analytics.Status
5. 根据运行间隔等待下次分析

## 名词解释 

### 分析

分析定义了一个扫描分析任务。支持两种任务类型：资源推荐和弹性推荐。Crane 定期运行分析任务，并产生推荐结果。

### 推荐

推荐展示了一个优化推荐的结果。推荐的结果是一段 YAML 配置，根据结果用户可以进行相应的优化动作，比如调整应用的资源配置。

### 参数配置

不同的分析采用不同的计算模型，Crane 提供了一套默认的计算模型以及一套配套的配置，用户可以通过修改配置来定制推荐的效果。支持修改全局的默认配置和修改单个分析任务的配置。
